%define major	19
%define editor_major 0

%define package_name gtkhtml

%define api_version 3.14
%define libname %mklibname %{package_name} %{api_version} %{major}
%define libeditor %mklibname %{package_name}-editor %{api_version} %{editor_major}
%define libnamedev %mklibname -d %{package_name} %{api_version}

Summary:	HTML rendering/editing library
Name:		gtkhtml%{api_version}
Version:        3.32.2
Release:        %mkrel 14
License:	LGPLv2+
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/gtkhtml/%{package_name}-%{version}.tar.bz2
Patch0:         gtkhtml-3.32.2-fix-gthread.patch
Patch1:		gtkhtml-3.32.2-build-without-gnome-icon-theme.patch
URL:		https://download.gnome.org/sources/gtkhtml/
BuildRequires:	pkgconfig(gail)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.1.6
BuildRequires:	iso-codes
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	intltool
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	GConf2
BuildRequires:	pkgconfig(ORBit-2.0)
Obsoletes:	gtkhtml-3.14 < 3.32.2-9

%description
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%package -n %{libname}
Summary:        Libraries for GtkHTML
Group:          System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	%{_lib}gtkhtml-3.14_19 < 3.32.2-9

%description -n %{libname}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%package -n %{libeditor}
Summary:        Libraries for GtkHTML
Group:          System/Libraries
Conflicts:	%{_lib}gtkhtml-3.14_19 < 3.32.2-9

%description -n %{libeditor}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%package -n %{libnamedev}
Summary:        Development libraries, header files and utilities for GtkHTML
Group:          Development/GNOME and GTK+
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libeditor} = %{version}-%{release}
Provides:	%{package_name}%{api_version}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gtkhtml-3.14-devel < 3.32.2-9

%description -n %{libnamedev}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%prep
%setup -q -n %{package_name}-%{version}
%autopatch -p1

# switch to enchant2
sed -i -e '/GTKHTML_MODULES/s,enchant ,enchant-2 ,g' configure.ac
sed -i -e 's,enchant_dict_add_to_pwl,enchant_dict_add,g' components/editor/gtkhtml-spell-checker.c

%build
autoreconf -vfi
%configure \
	--enable-deprecated-warning-flags=no \
	--disable-static
%make_build LIBS=-lm

%install
%make_install

# gw these produce rpmlint errors:
rm -rf %{buildroot}%{_datadir}/locale/{bn_IN,si}

%find_lang %{package_name}-%{api_version}

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -f %{package_name}-%{api_version}.lang
%doc AUTHORS NEWS README TODO
%{_datadir}/gtkhtml-%{api_version}/

%files -n %{libname}
%doc AUTHORS
%license COPYING
%{_libdir}/libgtkhtml-%{api_version}.so.%{major}{,.*}

%files -n %{libeditor}
%doc AUTHORS
%license COPYING
%{_libdir}/libgtkhtml-editor-%{api_version}.so.%{editor_major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_bindir}/gtkhtml-editor-test
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Wed Apr 22 2020 ovitters <ovitters> 3.32.2-14.mga8
+ Revision: 1570869
- rebuild for to test removal of deprecated macros

* Fri Feb 14 2020 umeabot <umeabot> 3.32.2-13.mga8
+ Revision: 1523122
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Feb 23 2019 wally <wally> 3.32.2-12.mga7
+ Revision: 1369555
- switch to enchant2

* Sun Sep 23 2018 umeabot <umeabot> 3.32.2-11.mga7
+ Revision: 1298116
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 wally <wally> 3.32.2-10.mga7
+ Revision: 1223970
- obsolete also old misnamed lib pkg

* Mon Apr 30 2018 wally <wally> 3.32.2-9.mga7
+ Revision: 1223965
- rename src rpm as gtkhtml3.14
- fix lib and devel pkg names
- split out libgtkhtml-editor lib
- drop old and unneeded provides/obsoletes/conflicts
- fix reqs

* Thu Feb 04 2016 umeabot <umeabot> 3.32.2-8.mga6
+ Revision: 935716
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.32.2-7.mga5
+ Revision: 745660
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.32.2-6.mga5
+ Revision: 680019
- Mageia 5 Mass Rebuild

* Mon May 05 2014 wally <wally> 3.32.2-5.mga5
+ Revision: 620229
- add patch to build without gnome-icon-theme
- BR ORBit

* Fri Oct 18 2013 umeabot <umeabot> 3.32.2-4.mga4
+ Revision: 505370
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.32.2-3.mga3
+ Revision: 352883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 21 2011 dmorgan <dmorgan> 3.32.2-2.mga2
+ Revision: 170200
- Fix build against new glib
- Remove .la files

* Mon Jun 13 2011 dmorgan <dmorgan> 3.32.2-1.mga2
+ Revision: 105890
- Fix buildrequires
- Fix buildrequires
- New version 3.32.2

* Sun Jan 16 2011 pterjan <pterjan> 3.32.1-1.mga1
+ Revision: 20589
- Drop obsolete scriptlets
- imported package gtkhtml-3.14
- imported package gtkhtml-3.14

